=== src/ioslaves/protocols/CMakeLists.txt ===

install( FILES
   data.protocol
   rtsp.protocol
   mms.protocol
   mmst.protocol
   mmsu.protocol
   pnm.protocol
   rtspt.protocol
   rtspu.protocol
   DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
