=== debian/changelog ===
kio (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:58 +0000

kio (5.43.0-0ubuntu1) bionic; urgency=medium

  * Drop obsolete return_on_ACCESS_DENIED patch
  * Refresh patches
  * Update install file
  * Drop upstream_fix-baloo-timeline-test.patch
  * New upstream release (5.43.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:33 +0000

kio (5.42.0-0ubuntu2) bionic; urgency=medium

  * d/p: add upstream_fix-baloo-timeline-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Feb 2018 23:26:05 +0000

kio (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:42 +0000

kio (5.41.0-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Update symbols after fix of incorrectly leaked private symbols

  [ Walter Lapchynski ]
  * New upstream release (5.41.0)
  * Updated symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:05:54 -0600

kio (5.40.0-0ubuntu2) bionic; urgency=medium

  * Refrsh patches
  * Disable broken KUriFilterTest, which needs fixing uptream

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 29 Nov 2017 19:50:51 +0000

kio (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.40.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:38 +0000
