## kio 5.50.0

=== debian/changelog ===
kio (5.50.0-0ubuntu2) cosmic; urgency=medium

  * Disable flaky tests. Occurs upstream and on Ubuntu test infra.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Sep 2018 23:48:11 +0100

kio (5.50.0-0ubuntu1) cosmic; urgency=medium

  * Drop applied upstream_fix_kfileplacesview_test.diff
  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:42 +0100

kio (5.49.0-0ubuntu3) cosmic; urgency=medium

  * ACC test: add statx to skip_types, fixes the ACC test with glibc >=
    2.28

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 27 Aug 2018 00:44:12 +0100

kio (5.49.0-0ubuntu2) cosmic; urgency=medium

  * Refresh all patches so they apply without any offset
  * Add upstream_fix_kfileplacesview_test.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 25 Aug 2018 15:28:05 +0100

kio (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * Update symbols from build logs
  * New upstream release (5.49.0)
  * Install debug categories file

  [ José Manuel Santamaría Lema ]
  * Fix symbols files for GCC 8
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:24 +0100

kio (5.47.0a-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Update symbols from build logs
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
  * Refresh patches
  * Update kubuntu_disable_failing_tests.diff:
    - Stop disabling KFilePlacesModelTest. Fixed upstream.
    - Disable KMountPointTest. To investigate.
  * Drop transitional kio-dev package

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:24 +0100

kio (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Refresh patches
  * testsuite: Run tests one at the time
  * Add patches for KFilePlacesModelTest
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:09 +0200

kio (5.46.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * Update install for upstream 'Temporarily disable installation of
    file ioslave's kauth helper and policy file', but commented out
    only, so ready to revert.
  * Update symbols from build logs
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)
  * Install kconf_update file for filepicker preview changes

  [ José Manuel Santamaría Lema ]
  * Add udisks2 to testsuite Depends, it removes some warnings from
    stdout making things easier to understand when something goes wrong.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:35 +0100

kio (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Refresh patches
  * Update symbols files
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:36 +0200

kio (5.44.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 52307a81b15278c27317d5f4d773485e8577ecd2 to
    initialize properly the sockaddr_un struct (mostly for non-Linux
    architectures); patch
    upstream_file-do-not-assume-layout-of-sockaddr_un-struct.patch.
  * Remove trailing whitespaces in changelog.
  * Use https for Format in copyright.
  * Small touches to the descriptions.
  * Update symbols files from logs of buildds.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Apr 2018 09:10:16 +0200

kio (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:56 +0100

kio (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Drop upstream applied patch "return_on_ACCESS_DENIED"
  * Refresh patches.
    Refresh fix_hurd_build and drop upstream patch
    Uri-Filter-Search-Provider-Avoid-double-delete.patch
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:45 +0100

kio (5.42.0-3) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:57 +0100

kio (5.42.0-2) experimental; urgency=medium

  * New revision
  * Add upstream patch: Uri-Filter-Search-Provider-Avoid-double-delete.patch.
    Fixes segfault in the web shortcuts kcm (systemsettings)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Feb 2018 20:42:09 +0100

kio (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:24 +0100

kio (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:46 -0300

kio (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid


