=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5service-bin, kded5, kinit, libkf5parts5,
         ca-certificates
Restrictions: build-needed, allow-stderr

# Disabled because of #916294
# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr
