## kio 5.54.1.1

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
   cmake_policy(SET CMP0028 OLD)
 endif()
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
+remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 
 include(ECMAddTests)
 
@@ -30,9 +31,11 @@
  threadtest.cpp
  udsentrytest.cpp
  udsentry_benchmark.cpp
+ kcoredirlister_benchmark.cpp
  deletejobtest.cpp
  urlutiltest.cpp
  batchrenamejobtest.cpp
+ ksambasharetest.cpp
  NAME_PREFIX "kiocore-"
  LINK_LIBRARIES KF5::KIOCore KF5::I18n Qt5::Test Qt5::Network
 )
@@ -84,7 +87,7 @@
  accessmanagertest.cpp
  kurifiltersearchprovideractionstest.cpp
  NAME_PREFIX "kiowidgets-"
- LINK_LIBRARIES KF5::KIOCore KF5::KIOWidgets Qt5::Test
+ LINK_LIBRARIES KF5::KIOCore KF5::KIOWidgets Qt5::Test Qt5::DBus
 )
 set_target_properties(krununittest PROPERTIES COMPILE_FLAGS "-DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\"\\\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\\\"\"")
 
@@ -128,6 +131,18 @@
  LINK_LIBRARIES KF5::KIOFileWidgets KF5::KIOWidgets KF5::XmlGui KF5::Bookmarks Qt5::Test KF5::I18n
 )
 
+# TODO: fix symbol exports for windows -> 'KSambaShare::KSambaShare': inconsistent dll linkage 
+if (NOT WIN32)
+ecm_add_test(
+    ksambashareprivatetest.cpp
+    ../src/core/ksambashare.cpp
+    ../src/core/kiocoredebug.cpp
+    TEST_NAME ksambashareprivatetest
+    NAME_PREFIX "kiocore-"
+    LINK_LIBRARIES KF5::KIOCore Qt5::Test Qt5::Network
+)
+endif()
+
 set_tests_properties(kiofilewidgets-kfileplacesmodeltest PROPERTIES RUN_SERIAL TRUE)
 set_tests_properties(kiofilewidgets-kfileplacesviewtest PROPERTIES RUN_SERIAL TRUE)
 endif()
